#include <PS2X_lib.h> //for v1.6
#include <Servo.h>
PS2X ps2x; // create PS2 Controller Class
Servo LYservo;
Servo RXservo;
Servo RYservo;
Servo LXservo;
Servo Gripper;
int error = 0;
byte type = 0;
byte vibrate = 0;
void setup(){
LYservo.attach(9);
RXservo.attach(6);
RYservo.attach(3);
LXservo.attach(5);
Gripper.attach(2);
error = ps2x.config_gamepad(10,12,13,11, true, false); //setup pins and settings: GamePad(clock,command, attention, data, Pressures?,Rumble?) check for error
type = ps2x.readType();
Serial.begin(57600);
}
void loop(){
if(error == 1) //skip loop if no controller found
 { 
   Serial.println("No Controller Found,check wiring");
   return;
 }
ps2x.read_gamepad(); //read controller
RXservo.write(map(ps2x.Analog(PSS_RX), 0, 255, 0, 179));
RYservo.write(map(ps2x.Analog(PSS_RY), 0, 255, 0, 179));
LXservo.write(map(ps2x.Analog(PSS_LX), 0, 255, 0, 179)); 
LYservo.write(map(ps2x.Analog(PSS_LY), 0, 255, 0, 179));
Gripper.write(map(ps2x.Button(PSB_R1), 0, 255, 0, 179));
delay(50);
}
